/* 
 * Desc:
 *
 * Created by Magnus Berglund, magnus@ior.campus.luth.se, bert@ludd.luth.se
 * 
 * Date: 970404
 */

#ifndef TRUESOUND_H
#define TRUESOUND_H

#include <linux/ioctl.h>



/* performs a on-board hardware reset */
#define TRUESOUND_RESET           _IO('x', 0)

#define TRUESOUND_PAUSE           _IO('x', 1)
#define TRUESOUND_CONT            _IO('x', 2)

/* 0=MIN, 100=MAX */
#define TRUESOUND_SETVOL          _IOW('x', 3, unsigned char)
#define TRUESOUND_GETVOL          _IOR('x', 4, unsigned char)

/* 0 if out of sync, 1 in sync */
#define TRUESOUND_GETSYNC         _IOR('x', 5, int)

/* 0 if CRC error, 1 no error */
#define TRUESOUND_GETCRC          _IOR('x', 6, int)

/* flush all DMA buffers */
#define TRUESOUND_FLUSH_BUFFERS   _IO('x', 7)

/* get buffersize */
#define TRUESOUND_GET_BUFFSIZE    _IOR('x', 9, unsigned long)

/* 0 if not paused, 1 if paused
 * for processes on /dev/tsdX-ioctl the paused flag for the current
 * player process is returned.
 * For other the paused flag for that process is returned 
 */
#define TRUESOUND_GET_PAUSED      _IOR('x', 10, int)

#endif
